# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname numbertext %major
%define devname %mklibname -d numbertext

Name:      libnumbertext
Version:   1.0.5
Release:   %mkrel 1
Summary:   Number to number name and money text conversion library
Group: System/Libraries

#The entire source code is dual license LGPLv3+ or BSD, except for
#the data files hr.sor, sr.sor and sh.sor which are tri license
#CC-BY-SA or LGPLv3+ or BSD
License:   (LGPLv3+ or BSD) and (LGPLv3+ or BSD or CC-BY-SA)
URL:       https://github.com/Numbertext/libnumbertext
Source:    https://github.com/Numbertext/libnumbertext/releases/download/%{version}/libnumbertext-%{version}.tar.xz

BuildRequires: autoconf, automake, libtool, gcc-c++

%description
Language-neutral NUMBERTEXT and MONEYTEXT functions for LibreOffice Calc

%package -n %libname
Summary: Number to number name and money text conversion library
Group: System/Libraries

%description -n %libname
Language-neutral NUMBERTEXT and MONEYTEXT functions for LibreOffice Calc

%package -n %devname
Requires: %libname = %{version}-%{release}
Summary: Files for developing with libnumbertext
Group: Development/C

%description -n %devname
Includes and definitions for developing with libnumbertext

%prep
%autosetup -p1

%build
autoreconf -v --install --force
%configure2_5x --disable-silent-rules --disable-static --disable-werror --with-pic
%make_build

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la



%files -n %libname
%doc AUTHORS ChangeLog NEWS THANKS
%license COPYING
%{_bindir}/spellout
%{_libdir}/*.so.*
%{_datadir}/libnumbertext

%files -n %devname
%{_includedir}/libnumbertext
%{_libdir}/pkgconfig/libnumbertext.pc
%{_libdir}/*.so



%changelog
* Wed Oct 17 2018 tv <tv> 1.0.5-1.mga7
+ Revision: 1321255
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1299057
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 1.0.3-2.mga7
+ Revision: 1252035
- relax requires

* Thu Aug 16 2018 tv <tv> 1.0.3-1.mga7
+ Revision: 1251969
- imported package libnumbertext


* Thu Aug 16 2018 Thierry Vignaud <tv@mageia.org> 1.0.3-1.mga7
- impor from FC

* Thu Aug 16 2018 Caolán McNamara <caolanm@redhat.com> - 1.0.3-1
- latest version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Caolán McNamara <caolanm@redhat.com> - 1.0.2-3
- fix changelog order
- remove clean section
- set COPYING as license
- use LT_INIT

* Mon Jun 11 2018 Caolán McNamara <caolanm@redhat.com> - 1.0.2-2
- clarify extra license option of the sh/sr/hr data files

* Mon Jun 11 2018 Caolán McNamara <caolanm@redhat.com> - 1.0.2-1
- initial version
